libwpg: libwpg::AllocTable Class Reference documentation

# libwpg::AllocTable Class Reference

List of all members.

## Public Member Functions
| AllocTable ()
void | clear ()
unsigned long | count ()
void | resize (unsigned long newsize)
void | preserve (unsigned long n)
void | set (unsigned long index, unsigned long val)
unsigned | unused ()
void | setChain (std::vector< unsigned long >)
std::vector< unsigned long > | follow (unsigned long start)
unsigned long | operator[] (unsigned long index)
void | load (const unsigned char *buffer, unsigned len)
void | save (unsigned char *buffer)
## Public Attributes
unsigned | blockSize
## Static Public Attributes
static const unsigned | Eof = 0xfffffffe
static const unsigned | Avail = 0xffffffff
static const unsigned | Bat = 0xfffffffd
static const unsigned | MetaBat = 0xfffffffc
## Private Member Functions
| AllocTable (const AllocTable &)
AllocTable & | operator= (const AllocTable &)
## Private Attributes
std::vector< unsigned long > | data

## Constructor & Destructor Documentation

libwpg::AllocTable::AllocTable | ( |  | ) |

libwpg::AllocTable::AllocTable | ( | const AllocTable & |  | ) | `[private]`

## Member Function Documentation

void libwpg::AllocTable::clear | ( |  | ) |

unsigned long libwpg::AllocTable::count | ( |  | ) |

Referenced by follow(), load(), and set().

void libwpg::AllocTable::resize | ( | unsigned long | newsize | ) |

Referenced by AllocTable(), load(), set(), and unused().

void libwpg::AllocTable::preserve | ( | unsigned long | n | ) |

void libwpg::AllocTable::set | ( | unsigned long | index,
|  | unsigned long | val |
| ) |  |  |

unsigned libwpg::AllocTable::unused | ( |  | ) |

Referenced by preserve().

void libwpg::AllocTable::setChain | ( | std::vector< unsigned long > | chain | ) |

std::vector< unsigned long > libwpg::AllocTable::follow | ( | unsigned long | start | ) |

Referenced by libwpg::StorageIO::load(), and libwpg::StreamIO::StreamIO().

unsigned long libwpg::AllocTable::operator[] | ( | unsigned long | index | ) |

void libwpg::AllocTable::load | ( | const unsigned char * | buffer,
|  | unsigned | len |
| ) |  |  |

Referenced by libwpg::StorageIO::load().

void libwpg::AllocTable::save | ( | unsigned char * | buffer | ) |

AllocTable& libwpg::AllocTable::operator= | ( | const AllocTable & |  | ) | `[private]`

## Member Data Documentation

const unsigned libwpg::AllocTable::Eof = 0xfffffffe`[static]`

Referenced by follow(), and setChain().

const unsigned libwpg::AllocTable::Avail = 0xffffffff`[static]`

Referenced by libwpg::Header::Header(), resize(), and unused().

const unsigned libwpg::AllocTable::Bat = 0xfffffffd`[static]`

Referenced by follow().

const unsigned libwpg::AllocTable::MetaBat = 0xfffffffc`[static]`

Referenced by follow().

unsigned libwpg::AllocTable::blockSize

Referenced by libwpg::StorageIO::load(), libwpg::StorageIO::loadBigBlocks(), libwpg::StorageIO::loadSmallBlocks(), libwpg::StreamIO::read(), and libwpg::StorageIO::StorageIO().

std::vector<unsigned long> libwpg::AllocTable::data`[private]`

Referenced by count(), follow(), operator[](), resize(), set(), and unused().

The documentation for this class was generated from the following file:

- WPGOLEStream.cpp